Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2253)

Issue 109068: Ns-3 MPI Distributed Simulation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
12 years, 1 month ago by Josh Pelkey
Modified:
11 years, 1 month ago
Reviewers:
Josh Pelkey
CC:
ns-3-users_googlegroups.com
Visibility:
Public.

Patch Set 1 #

Patch Set 2 : MPI for ns-3.7 #

Total comments: 50

Patch Set 3 : Updates after Faker's comments #

Total comments: 77

Patch Set 4 : Updates after comments #

Patch Set 5 : New API for buffer #

Total comments: 10

Patch Set 6 : Moving rank into uid #

Total comments: 1

Patch Set 7 : Applied Gustavo's patch for building #

Patch Set 8 : Moved MPI dependencies to src/mpi #

Patch Set 9 : Move packet deserialization #

Patch Set 10 : Fixed packet-metadata-test #

Patch Set 11 : Merge with ns-3.7 #

Patch Set 12 : Update python bindings #

Patch Set 13 : Update release notes and changes #

Patch Set 14 : checkstyle.py on added files #

Total comments: 46

Patch Set 15 : Updates after comments #

Patch Set 16 : New example and manual placeholder #

Patch Set 17 : Update manual #

Patch Set 18 : Fix valgrind and merged #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4621 lines, -271 lines) Patch
CHANGES.html View 13 14 15 16 17 3 chunks +60 lines, -1 line 0 comments Download
RELEASE_NOTES View 13 14 15 16 17 1 chunk +2 lines, -1 line 0 comments Download
bindings/python/apidefs/gcc-ILP32/ns3_module_common.py View 12 13 14 15 13 chunks +40 lines, -23 lines 0 comments Download
M bindings/python/apidefs/gcc-ILP32/ns3_module_core.py View 16 17 1 chunk +1 line, -1 line 0 comments Download
bindings/python/apidefs/gcc-ILP32/ns3_module_helper.py View 1 chunk +4 lines, -0 lines 0 comments Download
A bindings/python/apidefs/gcc-ILP32/ns3_module_mpi.py View 12 13 14 15 1 chunk +355 lines, -0 lines 0 comments Download
bindings/python/apidefs/gcc-ILP32/ns3_module_point_to_point.py View 12 13 14 15 4 chunks +42 lines, -1 line 0 comments Download
M bindings/python/apidefs/gcc-ILP32/ns3_module_simulator.py View 4 chunks +20 lines, -0 lines 0 comments Download
M bindings/python/apidefs/gcc-ILP32/ns3modulegen_generated.py View 4 chunks +34 lines, -0 lines 0 comments Download
M bindings/python/apidefs/gcc-LP64/ns3_module_common.py View 12 13 14 15 13 chunks +40 lines, -23 lines 0 comments Download
bindings/python/apidefs/gcc-LP64/ns3_module_helper.py View 1 chunk +4 lines, -0 lines 0 comments Download
A bindings/python/apidefs/gcc-LP64/ns3_module_mpi.py View 12 13 14 15 1 chunk +355 lines, -0 lines 0 comments Download
M bindings/python/apidefs/gcc-LP64/ns3_module_point_to_point.py View 12 13 14 15 4 chunks +42 lines, -1 line 0 comments Download
M bindings/python/apidefs/gcc-LP64/ns3_module_simulator.py View 4 chunks +20 lines, -0 lines 0 comments Download
M bindings/python/apidefs/gcc-LP64/ns3modulegen_generated.py View 4 chunks +34 lines, -0 lines 0 comments Download
M doc/manual/Makefile View 1 chunk +1 line, -0 lines 0 comments Download
doc/manual/distributed.texi View 16 17 1 chunk +225 lines, -0 lines 0 comments Download
M doc/manual/manual.texi View 2 chunks +2 lines, -0 lines 0 comments Download
A examples/mpi/nms-udp-nix.cc View 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +614 lines, -0 lines 0 comments Download
A examples/mpi/simple-distributed.cc View 4 5 6 7 8 9 10 11 12 13 14 1 chunk +245 lines, -0 lines 0 comments Download
examples/mpi/third-distributed.cc View 1 chunk +244 lines, -0 lines 0 comments Download
A examples/mpi/waf View 1 chunk +1 line, -0 lines 0 comments Download
A examples/mpi/wscript View 6 7 8 9 10 11 12 13 14 15 1 chunk +14 lines, -0 lines 0 comments Download
M src/common/buffer.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +28 lines, -0 lines 0 comments Download
M src/common/buffer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +142 lines, -0 lines 0 comments Download
M src/common/nix-vector.h View 5 6 7 8 9 10 11 12 13 14 1 chunk +16 lines, -6 lines 0 comments Download
M src/common/nix-vector.cc View 5 6 7 8 9 10 11 1 chunk +81 lines, -50 lines 0 comments Download
M src/common/packet.h View 1 2 3 4 5 6 7 8 9 10 11 12 4 chunks +29 lines, -27 lines 0 comments Download
M src/common/packet.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 6 chunks +239 lines, -42 lines 0 comments Download
M src/common/packet-metadata.h View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +57 lines, -9 lines 0 comments Download
M src/common/packet-metadata.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 7 chunks +247 lines, -51 lines 0 comments Download
R src/common/packet-metadata-test.cc View 9 10 11 2 chunks +34 lines, -32 lines 0 comments Download
M src/devices/point-to-point/point-to-point-channel.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +30 lines, -1 line 0 comments Download
M src/devices/point-to-point/point-to-point-channel.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +26 lines, -0 lines 0 comments Download
A src/devices/point-to-point/point-to-point-remote-channel.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +44 lines, -0 lines 0 comments Download
A src/devices/point-to-point/point-to-point-remote-channel.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +80 lines, -0 lines 0 comments Download
M src/devices/point-to-point/wscript View 2 3 4 5 6 7 8 9 10 11 2 chunks +2 lines, -0 lines 0 comments Download
M src/helper/node-container.h View 1 chunk +14 lines, -0 lines 0 comments Download
src/helper/node-container.cc View 1 chunk +8 lines, -0 lines 0 comments Download
src/helper/point-to-point-helper.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +4 lines, -1 line 0 comments Download
M src/helper/point-to-point-helper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +28 lines, -1 line 0 comments Download
A src/mpi/distributed-simulator-impl.h View 8 9 10 11 12 13 1 chunk +124 lines, -0 lines 0 comments Download
A src/mpi/distributed-simulator-impl.cc View 8 9 10 11 12 13 14 1 chunk +521 lines, -0 lines 0 comments Download
A src/mpi/mpi-interface.h View 8 9 10 11 12 13 14 1 chunk +85 lines, -0 lines 0 comments Download
A src/mpi/mpi-interface.cc View 8 9 10 11 12 13 14 1 chunk +287 lines, -0 lines 0 comments Download
A src/mpi/waf View 1 chunk +1 line, -0 lines 0 comments Download
A src/mpi/wscript View 8 9 10 11 1 chunk +23 lines, -0 lines 0 comments Download
M src/routing/global-routing/global-route-manager-impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 2 chunks +8 lines, -0 lines 0 comments Download
M src/simulator/default-simulator-impl.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M src/simulator/default-simulator-impl.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +7 lines, -0 lines 0 comments Download
M src/simulator/realtime-simulator-impl.h View 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M src/simulator/realtime-simulator-impl.cc View 4 5 6 7 8 9 10 11 1 chunk +7 lines, -0 lines 0 comments Download
M src/simulator/simulator.h View 1 2 3 6 7 8 9 10 11 1 chunk +6 lines, -0 lines 0 comments Download
src/simulator/simulator.cc View 1 2 3 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +15 lines, -0 lines 0 comments Download
M src/simulator/simulator-impl.h View 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
src/wscript View 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
wscript View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +25 lines, -0 lines 0 comments Download

Messages

Total messages: 27
faker.moatamri
http://codereview.appspot.com/109068/diff/2034/2035 File examples/mpi/Makefile (right): http://codereview.appspot.com/109068/diff/2034/2035#newcode4 examples/mpi/Makefile:4: # Change the NS3BASE below to the path of ...
11 years, 10 months ago (2009-11-06 14:22:30 UTC) #1
Josh Pelkey
Here are the updates after Faker's comments. http://codereview.appspot.com/109068/diff/2034/2035 File examples/mpi/Makefile (right): http://codereview.appspot.com/109068/diff/2034/2035#newcode4 examples/mpi/Makefile:4: # Change ...
11 years, 10 months ago (2009-11-09 18:50:21 UTC) #2
faker.moatamri
I hope that I answered all your questions. If you need more clarifications please don't ...
11 years, 10 months ago (2009-11-09 21:17:26 UTC) #3
craigdo
Mostly small stuff, but the bit about putting mpi-specific stuff in generic classes bothers me ...
11 years, 10 months ago (2009-11-13 20:20:02 UTC) #4
Tom Henderson
summary of main questions/comments: - it seemed to me that Packet/PacketMetadata might not need to ...
11 years, 10 months ago (2009-11-16 05:17:31 UTC) #5
Mathieu Lacage
I have two main general comments: 1) It's really not cool that my previous comments ...
11 years, 10 months ago (2009-11-17 14:53:19 UTC) #6
Josh Pelkey
Hi all, Sorry for the delay after the comments. We were working on switching the ...
11 years, 9 months ago (2009-12-10 18:42:47 UTC) #7
craigdo1
> -- stability issues. Craig sent an email about his concerns regarding > stability in ...
11 years, 9 months ago (2009-12-10 19:05:58 UTC) #8
riley_ece.gatech.edu
It means that the net devices that directly communicate (sharing a single WIFI or CSMA ...
11 years, 9 months ago (2009-12-10 19:14:11 UTC) #9
craigdo1
Rearranged responses a little for clarity ... > >> -- stability issues. Craig sent an ...
11 years, 9 months ago (2009-12-10 19:36:25 UTC) #10
tomh_tomh.org
joshpelkey@gmail.com wrote: > Hi all, > > Sorry for the delay after the comments. We ...
11 years, 9 months ago (2009-12-11 07:14:23 UTC) #11
Mathieu Lacage
josh, george, Thanks a lot for taking time to address so thoroughly all previous comments: ...
11 years, 9 months ago (2009-12-14 13:44:33 UTC) #12
Josh Pelkey
We've changed uid in packet-metadata to a uint64_t. The rank is now stored in the ...
11 years, 9 months ago (2009-12-15 17:10:24 UTC) #13
Josh Pelkey
http://codereview.appspot.com/109068/diff/19005/20012 File src/common/packet.cc (right): http://codereview.appspot.com/109068/diff/19005/20012#newcode173 src/common/packet.cc:173: m_metadata (((uint64_t)mpiRank << 32) & uid, size), Logic typo ...
11 years, 9 months ago (2009-12-15 17:18:45 UTC) #14
Mathieu Lacage
On Tue, Dec 15, 2009 at 6:10 PM, <joshpelkey@gmail.com> wrote: > > I am not ...
11 years, 9 months ago (2009-12-16 10:39:27 UTC) #15
riley_gatech.edu
> > > Presumably, you would create the new buffer from a serialized buffer > ...
11 years, 9 months ago (2009-12-16 14:01:38 UTC) #16
craigdo
Most of my comments aren't very serious. I still have some significant concerns about examples. ...
11 years, 7 months ago (2010-02-24 05:35:28 UTC) #17
Mathieu Lacage
josh, I am fine with this patchset from the perspective of the code I maintain, ...
11 years, 7 months ago (2010-02-24 08:03:36 UTC) #18
Mathieu Lacage
josh, I am fine with this patchset from the perspective of the code I maintain, ...
11 years, 7 months ago (2010-02-24 08:03:41 UTC) #19
craigdo1
[ ... ] > 2) I agree that the nix vector stuff is evil/ugly and ...
11 years, 7 months ago (2010-02-24 18:14:24 UTC) #20
Josh Pelkey
Thank you all for taking the time to review. I have tried to address all ...
11 years, 7 months ago (2010-02-25 18:13:42 UTC) #21
Josh Pelkey
Hi Craig and Mathieu, Could either or both of you have a look at the ...
11 years, 6 months ago (2010-03-05 18:37:49 UTC) #22
craigdo1
I still see, mpirun -np 2 ./waf --run simple-distributed This does not work on any ...
11 years, 6 months ago (2010-03-05 21:56:36 UTC) #23
Josh Pelkey
This is a test of the ns-3-reviews post from Rietveld.
11 years, 1 month ago (2010-08-25 17:26:19 UTC) #24
Josh Pelkey
test
11 years, 1 month ago (2010-08-25 18:14:57 UTC) #25
Josh Pelkey
test
11 years, 1 month ago (2010-08-25 18:24:38 UTC) #26
Josh Pelkey
11 years, 1 month ago (2010-08-25 18:27:27 UTC) #27
test
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b